/*
 * on.c - Toggle the state of the DTR/RTS lines on /dev/cua0
 * Written by Ron Beam, 1996.
 */

#include <stdio.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>

void set_dtr(int, int);
void set_rts(int, int);
unsigned int bits = 0;

int main()
{
	int fd;

	if ((fd=open("/dev/cua0", O_RDWR | O_NDELAY)) < 0)
	{
		fprintf(stderr, "Error opening port!\n");
		return 1;
	}

	while(1)
	{
		set_dtr(fd, 1);
		sleep(1);
		set_rts(fd, 1);
		sleep(1);
		set_dtr(fd, 0);
		sleep(1);
		set_rts(fd, 0);
		sleep(1);
	}
	return 0;
}

void set_dtr(int fd, int state)
{
	bits = state ? bits|TIOCM_DTR : bits&~TIOCM_DTR;
	ioctl(fd,TIOCMSET,&bits);
}

void set_rts(int fd, int state)
{
	bits = state ? bits|TIOCM_RTS : bits&~TIOCM_RTS;
	ioctl(fd,TIOCMSET,&bits);
}

